<?php
/**
 * Object Form Class extending the Horde Form classes
 *
 * This class sets up the basis for the management of Turba Objects through
 * the use of Horde_Form.
 *
 * $Horde: turba/lib/ObjectForm.php,v 1.9 2003/04/16 22:53:27 mdjukic Exp $
 *
 * Copyright 2003 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL).  If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.9 $
 * @package turba
 */
class ObjectForm extends Horde_Form {

    var $_useFormToken = true;

    function ObjectForm(&$vars, $title = null)
    {
        parent::Horde_Form($vars, $title);

        $this->_submit = _("Save");
        $this->_reset = true;

        $this->addHidden('', 'url', 'text', false);
        $this->addHidden('', 'source', 'text', true);
        $this->addHidden('', 'key', 'text', false);
    }

    function setTitle($title)
    {
        $this->_title = $title;
    }

}
